> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coin Insights

> To query the latest coin insights on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Find a coin's API ID on its [CoinGecko](https://www.coingecko.com) page, via [Coins List](/reference/coins-list), or this [Google Sheet](https://docs.google.com/spreadsheets/d/1wTTuxXt8n9q7C4NDXqQpI3wpKu1_5bGVmP9Xz0XGSyU/edit?usp=sharing).
* Without `coin_id`, returns all latest insights on any coins on CoinGecko.
* `page` supports up to 20 pages, and `per_page` supports up to 20 results per page.
* Use `from` and `to` to filter insights by date range (ISO date string `YYYY-MM-DD`).

<PlanExclusivity tier="enterprise" />

<Tip>
  Not on the Enterprise plan? [Submit your interest](https://docs.google.com/forms/d/e/1FAIpQLSdpFCxXSIylFhEgrlj5Dt5gsOMyq_TkPjeV-044Pz3Wy8WuMA/viewform) to access this feature.
</Tip>

<CacheInfo rate="60 seconds" />


## OpenAPI

````yaml openapi-specs/pro-api.json get /insights
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /insights:
    get:
      summary: Coin Insights
      description: To query the latest coin insights on CoinGecko
      operationId: insights
      parameters:
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default value: 1 
            Valid values: 1...20
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: |-
            Total results per page. 
            Default value: 10 
            Valid values: 1...20
          schema:
            type: integer
        - name: coin_id
          in: query
          required: false
          description: |-
            Filter insights by coin ID. 
            *refers to [`/coins/list`](/reference/coins-list).
          schema:
            type: string
        - name: from
          in: query
          required: false
          description: Starting date in ISO date string (`YYYY-MM-DD`).
          schema:
            type: string
        - name: to
          in: query
          required: false
          description: Ending date in ISO date string (`YYYY-MM-DD`).
          schema:
            type: string
      responses:
        '200':
          description: List of latest coin insights
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Insights'
              example:
                - title: >-
                    Solana Experiences Surge in Memecoin Launches and
                    Impersonation Scams
                  description: >-
                    Solana's network is seeing a rise in memecoin launches and
                    rapid pumps. However, this speculative activity is
                    accompanied by impersonation scams, posing risks to the
                    ecosystem.
                  related_coin_ids:
                    - wrapped-solana
                  posted_at: '2026-06-15T03:56:19.514666Z'
                - title: >-
                    Solana Sees Rising Tokenized Asset Volumes and Institutional
                    RWA Products
                  description: >-
                    Blockworks data indicates growing tokenized-asset volumes on
                    Solana across various categories. Institutional products,
                    like OnRe's dollar/reinsurance-backed offering, are
                    emerging, increasing RWA activity.
                  related_coin_ids:
                    - wrapped-solana
                  posted_at: '2026-06-15T03:56:19.486886Z'
components:
  schemas:
    Insights:
      type: array
      items:
        type: object
        required:
          - title
          - description
          - related_coin_ids
          - posted_at
        properties:
          title:
            type: string
            description: Insight title
          description:
            type: string
            description: Insight description
          related_coin_ids:
            type: array
            description: Related coin IDs
            items:
              type: string
          posted_at:
            type: string
            description: Insight posted timestamp in ISO 8601 format
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````